#include "gfunc.h"
#include <stdio.h>
#include <math.h>

void main()

{
 int err0,err1,i;
 double x0,step,x[100],y[100];

/*********************************************
 *Zeichnen der Funktion y = 1/(sqr(1-v^2/c^2))
 *********************************************/
 
 step = 1.0/100.05;
 x0   = step;
 for (i=0;i<100;i++)                          /* Sttzpunkte berechnen */
 {
  x[i] = x0;
  y[i] = 1.0/(sqrt(1.0-x0*x0));
  x0  += step;
 }
 
 
 err0 = initialize(0,0);                     /* Initialisierung        */
 if (err0 == 0)
 {
  frame(300.0,210.0);                        /* Rahmen definieren      */
  picture(200.0,140.0,40.0,30.0);            /* Bildbereich definieren */
  err1 = mkwind();                           /* Fenster ffnen         */
  if (err1 != 0) exit(-1);
  region(step,1.0,1.0,100.0);                /* Wertebereich festlegen */

/* Nach Aufruf von region ist das Koordinatensystem "region" eingestellt */

/*************************************************************************
 Fr die x-Achse wird ein linearer Mastab gewhlt.
 Es wird eine Achse unten und oben gezeichnet. Ticks werden bei
 -1.0, -0.5, 0.0, 0.5, 1.0 gezeichnet und unten beschriftet. Kleinere
 Ticks werden oben und unten im Abstand von 0.25 ohne Beschriftung ge-
 zeichnet. y-Achse logarithmisch, Dekaden beschriftet
**************************************************************************/
 
  linax("XL",1,3.0,0.1,1);
  linax("XU",-1,3.0,0.1,0);
  linax("XL",1,2.0,0.05,0);
  linax("XU",-1,2.0,0.05,0);
  logax("YL",1,3.0,1,1);
  logax("YU",-1,3.0,1,0);
  logax("YL",1,1.5,10,0);

/* Kurve interpolieren und mit Stift 1 zeichnen */

  srcurve(100,x,y);
    
/* Texte schreiben */

  setpen(8);
  setmode("PIC");             /* Koordinatensystem "picture" anwhlen */
  setfont("ruby.font",15);
  htext(100.0,150.0,"MB","Beispiel 2: Massenformel");
  setpen(5);
  setmode("PIC");
  setfont("topaz.font",8);
  htext(100.0,-20.0,"LB","v/c");
  htext(-20.0,70.0,"RM","m");
  htext(70.0,80.0,"MB","m = m");
  setmode("REF");
  htext(0.0,-2.0,"LB","");
  setfont("ruby.font",15);
  htext(0.0,0.5,"LB","(");
  setfont("topaz.font",8);
  htext(0.0,1.0,"LB","1-v");
  htext(0.0,2.0,"LB","2");
  htext(0.0,-2.0,"LB","/c");
  htext(0.0,2.0,"LB","2");
  setfont("ruby.font",15);
  htext(0.0,-3.0,"LB",")");
  setfont("topaz.font",8);
  htext(0.0,4.0,"LB","-1/2");  
  finish();  /* !!WICHTIG!! */
 }
 else printf("initialize failed with error number %d\n",err0);
}
